---
- name: Run PowerShell scripts
  ansible.windows.win_powershell:
    script: "{{ item['script'] | default(omit) }}"
    arguments: "{{ item['arguments'] | default(omit) }}"
    chdir: "{{ item['chdir'] | default(omit) }}"
    creates: "{{ item['creates'] | default(omit) }}"
    depth: "{{ item['depth'] | default(omit) }}"
    error_action: "{{ item['error_action'] | default(omit) }}"
    executable: "{{ item['executable'] | default(omit) }}"
    parameters: "{{ item['parameters'] | default(omit) }}"
    removes: "{{ item['removes'] | default(omit) }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: "{{ item['name'] }}"
  register: win_resource_item_results
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_powershell
